Package: groovy.transform

## [Java] Annotation Type CompileStatic

- groovy.transform.CompileStatic

- This will let the Groovy compiler use compile time checks in the style of Java then perform static compilation, thus bypassing the Groovy meta object protocol.

  Authors:
    Jochen "blackdrag" Theodorou
    Cedric Champeau

- - ### Element Summary

    Optional Element Summary
    Type | Name and Description
    --- | ---
    `String[]` | `extensions` The list of (classpath resources) paths to type checking DSL scripts, also known as type checking extensions.
    `TypeCheckingMode` | `value` @default TypeCheckingMode.PASS

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Element Detail

    - #### public String[] extensions

      The list of (classpath resources) paths to type checking DSL scripts, also known as type checking extensions. @default {}

      Returns:
        an array of paths to groovy scripts that must be on compile classpath

    - #### public TypeCheckingMode value

      @default TypeCheckingMode.PASS